Package: org.grails.validation

## [Java] Class DefaultConstraintEvaluator

- org.grails.validation.DefaultConstraintEvaluator

- All Implemented Interfaces and Traits:
    ConstraintsEvaluator

      @java.lang.Deprecated
      public class DefaultConstraintEvaluator
      extends java.lang.Object

  Default implementation of the ConstraintsEvaluator interface.

  deprecated:
    Use org.grails.datastore.gorm.validation.constraints.eval.DefaultConstraintEvaluator instead
  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator` | `delegate` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultConstraintEvaluator (org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator delegate)`
    `DefaultConstraintEvaluator ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Map<java.lang.String, Constrained>` | `evaluate(java.lang.Class cls)`
    `` | `java.util.Map<java.lang.String, Constrained>` | `evaluate(java.lang.Class cls, boolean defaultNullable)`
    `` | `java.util.Map<java.lang.String, Constrained>` | `evaluate(java.lang.Class<?> cls, boolean defaultNullable, boolean useOnlyAdHocConstraints, groovy.lang.Closure[] adHocConstraintsClosures)`
    `` | `java.util.Map<java.lang.String, Constrained>` | `evaluate(GrailsDomainClass cls)`
    `` | `java.util.Map<java.lang.String, Constrained>` | `evaluate(java.lang.Object object, GrailsDomainClassProperty[] properties)`
    `` | `java.util.Map<java.lang.String, Constrained>` | `evaluate(java.lang.Class<?> cls, GrailsDomainClassProperty[] properties)`
    `` | `java.util.Map<java.lang.String, java.lang.Object>` | `getDefaultConstraints()`
    `` | `protected org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator` | `resolveDelegate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator delegate

  - ### Constructor Detail

    - #### public DefaultConstraintEvaluator(org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator delegate)

    - #### public DefaultConstraintEvaluator()

  - ### Method Detail

    - #### @java.lang.Override public java.util.Map<java.lang.String, Constrained> evaluate(@java.lang.SuppressWarnings("rawtypes") java.lang.Class cls)

    - #### @java.lang.Override public java.util.Map<java.lang.String, Constrained> evaluate(@java.lang.SuppressWarnings("rawtypes") java.lang.Class cls, boolean defaultNullable)

    - #### @java.lang.Override public java.util.Map<java.lang.String, Constrained> evaluate(java.lang.Class<?> cls, boolean defaultNullable, boolean useOnlyAdHocConstraints, groovy.lang.Closure[] adHocConstraintsClosures)

    - #### @java.lang.Override public java.util.Map<java.lang.String, Constrained> evaluate(GrailsDomainClass cls)

    - #### @java.lang.Override public java.util.Map<java.lang.String, Constrained> evaluate(java.lang.Object object, GrailsDomainClassProperty[] properties)

    - #### @java.lang.Override public java.util.Map<java.lang.String, Constrained> evaluate(java.lang.Class<?> cls, GrailsDomainClassProperty[] properties)

    - #### @java.lang.Override public java.util.Map<java.lang.String, java.lang.Object> getDefaultConstraints()

    - #### protected org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator resolveDelegate()